### Property

# Ide SourceView:show-line-diagnostics

#### Declaration

    property show-line-diagnostics: gboolean [ read, write ]

#### Description

If the diagnostics gutter should be visible.

This also requires that IdeBuffer:highlight-diagnostics is set to `TRUE` to generate diagnostics.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_source_view_set_show_line_diagnostics()`
Getter method | `ide_source_view_get_show_line_diagnostics()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no